List notification logs of a contact point
GET /api/contact_points/{contact_point_id}/notification_logs
GET /api/contact_points/{contact_point_id}/notification_logsInteractive request editor loads with JavaScript.
In: header
Path Parameters
Contact point ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Query Parameters
Start at timestamp to filter the audit logs.
End at timestamp to filter the audit logs.
Type of notification.
Value in
- "alert_policy"
- "api_product_notification"
Notification sending status.
Value in
- "success"
- "failed"
Index to order the notifications by.
"send_time"Value in
- "send_time"
Order to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueResponse Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/contact_points/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/notification_logs"Successfully retrieved the paginated list of notification logs.
{
"total": 1,
"list": [
{
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235,
"contact_point_name": "cp-docs-test",
"resource_type": "alert_policy",
"resource_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"resource_name": "Weather Insights API",
"status": "failed",
"send_time": 1759649130,
"request": "{\"from\": \"test.send@api7.ai\", \"to\": \"test.receive@api7.ai\", \"subject\": \"API7 Notification\", \"content\": \"This is a test notification.\"}",
"response": "450 The domain must be verified in your account to send emails."
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/contact_points/{contact_point_id}/notification_logs
List notification logs of a contact point
List notification delivery logs for a contact point, including status, target resource type, and timestamps. Use this to troubleshoot failed or delayed alert notifications.
Required IAM Permission: Action iam:GetContactPoint, Resource arn:api7:iam:contactpoint/%s
Parameters
contact_point_id(path, string, required): Contact point ID.start_at(query, integer, optional): Start at timestamp to filter the audit logs.end_at(query, integer, optional): End at timestamp to filter the audit logs.resource_type(query, string, optional):status(query, string, optional): Notification sending status.order_by(query, string, optional): Index to order the notifications by.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.
Responses
200: Successfully retrieved the paginated list of notification logs.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of notification logs.list[].id(string, optional): The object ID.list[].created_at(integer, optional): The object created timestamp.list[].updated_at(integer, optional): The object updated timestamp.list[].contact_point_name(string, optional): Name of the contact point.list[].resource_type(string, optional): Type of notification.list[].resource_id(string, optional): The resource ID.list[].resource_name(string, optional): The object name.list[].status(string, optional): Notification sending status.list[].send_time(integer, optional): The time when the notification is sent.list[].request(string, optional): Request information.list[].response(string, optional): Response from the server.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/contact_points/{contact_point_id}/notification_logs'